1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

What firmware do I need?

Discussion in 'Cisco/Linksys Wireless Routers' started by zeitgeistz, Sep 18, 2006.

  1. zeitgeistz

    zeitgeistz LI Guru Member

    I upgraded my router the otherday to a new version of firmware but I'm not sure if I have the right one or not...

    I have a WRT54GS Speedbooster, the firmware version from the online administrative says: 4.71.1.

    However, the Linksys homepage has version 1.50.8 (http://www.linksys.com/servlet/Sate...15453&pagename=Linksys/Common/VisitorWrapper). When I try to update to the version off the homepage I get errors... I'm not sure if I had earlier inadvertanly flashed the wrong hardware version.

    Ideas?
     
  2. grcore

    grcore Network Guru Member

    What version GS do you have, that 1.50.8 is for the crippled GS (VxWorks)?
     
  3. zeitgeistz

    zeitgeistz LI Guru Member

    There is no version number next to the model number on the bottom of the router.
     
  4. zeitgeistz

    zeitgeistz LI Guru Member

    Anyone help
     
  5. zeitgeistz

    zeitgeistz LI Guru Member

  6. pablito

    pablito Network Guru Member

    That usually means version 1.0
     
  7. links

    links LI Guru Member

    Yup, I have a version 1.0 and it just says WRT54GS.

    You can use the first 4 characters of the serial number to check though,

    this wikipedia page http://en.wikipedia.org/wiki/WRT54G#Hardware_revisions

    has a list of the versions and the Serial Number prefix. (The first table is the WRT54G though, you have to scroll down a bit for the GS)
     
  8. zeitgeistz

    zeitgeistz LI Guru Member

Share This Page